<div *blockUI="'share-loader'; template: blockTemplate">
<div class="modal-header">
    <h5 class="modal-title"> <span class="font-weight-light">Share</span></h5>
    <button type="button" class="close" (click)="close();">&times;</button>
</div>
<div class="modal-body">
    <div class="form-row">
        <div class="form-group col">
            <label class="custom-control custom-checkbox">
                <input type="checkbox" class="custom-control-input" [(ngModel)]="share_form.isshared" [checked]="share_form.isshared">
                <span class="custom-control-label">Share</span>
            </label>
        </div>
    </div>
    <div *ngIf="share_form.isshared" class="form-row">
        <div class="form-group col">
            <label class="form-label">Roles/Users</label>
            <select class="form-control input-material" [(ngModel)]="share_form.share_type">
                <option class="option-material" *ngFor=" let type of shareTypes" [value]="type.value">
                    {{type.description}}
                </option>
            </select>
        </div>
    </div>
    <div *ngIf="share_form.share_type == 1 && share_form.isshared" class="form-row">
        <div class="form-group col">
            <label class="form-label">Roles</label>
            <ng-select style="color:#a4a4a4;" [multiple]="true" [options]="rolesList" [(ngModel)]="share_form.role_list" required
                #roles="ngModel">
            </ng-select>
            <div *ngIf="roles.invalid">You must include at least one role.</div>
        </div>
    </div>
    <div *ngIf="share_form.share_type == 2 && share_form.isshared" class="form-row">
        <div class="form-group col">
            <label class="form-label">Users</label>
            <ng-select style="color:#a4a4a4;" [multiple]="true" [options]="usersList" [(ngModel)]="share_form.user_list" required
                #users="ngModel">
            </ng-select>
            <div *ngIf="users.invalid">You must include at least one user.</div>
        </div>
    </div>
</div>
<div class="modal-footer">
    <button type="button" class="btn btn-default" (click)="close();">Cancel</button>
    <button type="button" class="btn btn-primary btn-material"
        [disabled]="(share_form.isshared && share_form.share_type=='1' && share_form.role_list.length==0)||(share_form.isshared && share_form.share_type=='2' && share_form.user_list.length==0)"
        (click)="apply_share()">Share</button>
</div>
</div>
<ng-template #blockTemplate>
    <div class="block-ui-template custom-bg-block-ui mb-3">
        <div class="app-splash-screen ">
            <div class="new-app-splash-screen-content text-center">
                <!-- <img src="../../assets/img/card-hx-loader.svg" class="card-loader-svg"> -->
                <svg class="entityLoader" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" style="margin: auto; background: transparent none repeat scroll 0% 0%; display: block;" viewBox="0 0 100 100" preserveAspectRatio="xMidYMid">
                    <circle cx="27.5" cy="57.5" r="5" class="entityBlue">
                      <animate attributeName="cy" calcMode="spline" keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5" repeatCount="indefinite" values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s" begin="-0.6s"></animate>
                    </circle> <circle cx="42.5" cy="57.5" r="5" class="entityBlue">
                      <animate attributeName="cy" calcMode="spline" keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5" repeatCount="indefinite" values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s" begin="-0.44999999999999996s"></animate>
                    </circle> <circle cx="57.5" cy="57.5" r="5" class="entityBlue">
                      <animate attributeName="cy" calcMode="spline" keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5" repeatCount="indefinite" values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s" begin="-0.3s"></animate>
                    </circle> <circle cx="72.5" cy="57.5" r="5" class="entityBlue">
                      <animate attributeName="cy" calcMode="spline" keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5" repeatCount="indefinite" values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s" begin="-0.15s"></animate>
                    </circle>
                    </svg>
                <span class="loading-text-material">
                </span>
            </div>
        </div>
    </div>
</ng-template>